#
#   Calc sample polar chart drawing.
#   Copyright (C) 2010 2011 2013  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set terminal png size 480,480 x000000 xffffff


# Variabili

z1=0.9
pr=0.80
pt=70.0
qr=1.0
qt=35.0



# Funzioni
Rad(ang)=2.0*pi*ang/360.0
Xpol(r,teta)=r*cos(teta)
Ypol(r,teta)=r*sin(teta)




set polar
set dummy t

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.25:1.25]
set yrange[-1.25:1.25]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

set label 1 "q1" at z1,0 textcolor rgbcolor "#00ff00" point ps 3 offset 0.4,0.4
set label 2 "p1" at Xpol(pr,Rad(pt)),Ypol(pr,Rad(pt)) textcolor rgbcolor "#ff0000" point ps 3 offset 0.4,0.4
set label 3 "p2" at Xpol(pr,-Rad(pt)),Ypol(pr,-Rad(pt)) textcolor rgbcolor "#ff0000" point ps 3 offset 0.4,0.4
set label 4 "z" at Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) textcolor rgbcolor "#00ffff" point ps 3 offset 0.4,0.4
set arrow 5 from 0,0 to z1,0 lc rgbcolor "#00ff00"
set arrow 6 from 0,0 to Xpol(pr,Rad(pt)),Ypol(pr,Rad(pt)) lc rgbcolor "#ff0000"
set arrow 7 from 0,0 to Xpol(pr,-Rad(pt)),Ypol(pr,-Rad(pt)) lc rgbcolor "#ff0000"
set arrow 8 from 0,0 to Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) lc rgbcolor "#00ffff"
set arrow 9 from z1,0 to Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) lc rgbcolor "#00ff00"
set arrow 10 from Xpol(pr,Rad(pt)),Ypol(pr,Rad(pt)) to Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) lc rgbcolor "#ff0000"
set arrow 11 from Xpol(pr,-Rad(pt)),Ypol(pr,-Rad(pt)) to Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) lc rgbcolor "#ff0000"
set label 12 "z-q1" at Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) textcolor rgbcolor "#00ff00" point ps 3 offset 1.2,-0.8
set label 13 "z-p1" at Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) textcolor rgbcolor "#ff0000" point ps 3 offset -2.0,1.6
set label 14 "z-p2" at Xpol(qr,Rad(qt)),Ypol(qr,Rad(qt)) textcolor rgbcolor "#ff0000" point ps 3 offset 0.0,-2.8

plot 1.0 linetype 3 lw 2

