#
#   Come filtra la media?
#   Calcola le funzioni di trasferimento di un filtro FIR che esegue la media
#   degli ultimi N campioni in ingresso.
#   Copyright (C) 2013  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


# Terminal settings
# to generate a .png image uncomment the line below and run the script as:
#  gnuplot script.gnu > script.png
#
#set terminal png


# Variabili



# Funzioni
dB(x)=20.0*log10(x)
sinc(x)=sin(x)/x
Media(x,N)=abs(sinc(x*pi*N))


set grid x y


set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key top

set samples 300

set xrange[0:0.5]
set yrange[-60:0]

set xtics 0.1
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Come filtra la media?"

plot	dB(Media(x,2)) axes x1y1 title "2 samples" lw 2, \
	dB(Media(x,4)) axes x1y1 title "4 samples" lw 2, \
	dB(Media(x,8)) axes x1y1 title "8 samples" lw 2, \
	dB(Media(x,16)) axes x1y1 title "16 samples" lw 2, \
	dB(Media(x,32)) axes x1y1 title "32 samples" lw 2

#	dB(cos(pi*x)) axes x1y1 title "ref" lw 4



