#
#   Empty polar chart drawing.
#   Copyright (C) 2010  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


# PNG
# To generate a .png image run gnuplot this way:
# gnuplot -e "set terminal png" polar.gnu > polar.png
#


# Variabili



# Funzioni
Rad(ang)=2.0*pi*ang/360.0
Xpol(r,teta)=r*cos(teta)
Ypol(r,teta)=r*sin(teta)


F(x)=x**2




set polar
set dummy t

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.75:1.75]
set yrange[-1.25:1.25]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

set label 1 "z1" at Xpol(1,Rad(45)),Ypol(1,Rad(45)) textcolor rgbcolor "#00ff00" point ps 3 offset 0.4,0.4
set label 2 "z2" at Xpol(1,Rad(-45)),Ypol(1,Rad(-45)) textcolor rgbcolor "#00ff00" point ps 3 offset 0.4,-0.4
set label 3 "p1" at -1,0 textcolor rgbcolor "#ff0000" point ps 3 offset 0.4,0.4

plot 1.0 linetype 3

