#
#   Zeros and functions definition.
#   Copyright (C) 2010 2011 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#

# Posizione degli zeri
z1=-0.82
z2=1.0
zr=0.75
zt=62.0

# Posizione dei poli
p1=0.60
p2=-0.75
pr=0.75
pt=136.0


# Funzioni
dB(a)=20.0*log10(a)
Rad(ang)=2.0*pi*ang/360.0
Xpol(r,ang)=r*cos(Rad(ang))
Ypol(r,ang)=r*sin(Rad(ang))
Dist(x1,y1,x2,y2)=sqrt((x1-x2)**2+(y1-y2)**2)
DDist(x1,y1,r,ang)=Dist(x1,y1,Xpol(r,ang),Ypol(r,ang)) * Dist(x1,y1,Xpol(r,-ang),Ypol(r,-ang))
FtoX(f)=Xpol(1.0,f*360.0)
FtoY(f)=Ypol(1.0,f*360.0)

z1sur(x,y)=	Dist(x,y,z1,0)
z2sur(x,y)=	Dist(x,y,z2,0)
z34sur(x,y)=	Dist(x,y,Xpol(zr,zt),Ypol(zr,zt)) * \
		Dist(x,y,Xpol(zr,-zt),Ypol(zr,-zt))

Zsurf1(x,y)=	z1sur(x,y)
Zsurf_pb1(x,y)=	Dist(x,y,-1,0)
Zsurf_pb2(x,y)=	Dist(x,y,-1,0)*DDist(x,y,1,90)
Zsurf_pb3(x,y)=	Dist(x,y,-1,0)*DDist(x,y,1,90)*DDist(x,y,1,135)*DDist(x,y,1,45)
Zsurf2(x,y)=	z1sur(x,y)*z2sur(x,y)
Zsurf3(x,y)=	z1sur(x,y)*z2sur(x,y)*z34sur(x,y)

p1sur(x,y)=	1/Dist(x,y,p1,0)
p2sur(x,y)=	1/Dist(x,y,p2,0)
p34sur(x,y)=	1/(Dist(x,y,Xpol(pr,pt),Ypol(pr,pt)) * \
		Dist(x,y,Xpol(pr,-pt),Ypol(pr,-pt)))

Psurf1(x,y)=	p1sur(x,y)
Psurf2(x,y)=	p1sur(x,y)*p2sur(x,y)
Psurf3(x,y)=	p1sur(x,y)*p2sur(x,y)*p34sur(x,y)


